<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");

class contactoCategoria extends elemento{
		
	function contactoCategoria() {
        
    }
    	
	function apagar($id){
		$db= new dbElemento;
		if ($db->getTotal("contacto", $id)) {		
			?><script>alert("Esta categoria possui contactos")</script><?
			exit;
		}
		parent::apagar($id);
	}
	
	
	function editar($id="") {
        
        $db= new dbElemento;

        $linha = @$db->getLinha($this->tipo, $id);
		
		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("Categorias de Contactos / ", 1);
		$f->campoTexto("Categoria","categoria" );
		$f->mostra();
    }

	function listar() {
        $campos=array("Nš"=>"id","Categoria"=>"categoria");
        
		$db= new dbElemento;
		$dados=$db->getListaCategorias($this->tipo, $campos , "categoria", $this->req['ordem']);
        $this->req['total']=sizeof($dados);
		
		$f= new lista($campos, $dados, $this->req);
		$f->toolbars();
		$f->titulo("Categorias de Contactos / ");
		$f->cabeca();
        $f->tabela();
		$f->mostra();
    }
	
}
?>
